From afccfde982c95815b4a7b8dcef62ae5bc1d416d0 Mon Sep 17 00:00:00 2001
From: John Naylor <john.naylor@postgresql.org>
Date: Tue, 17 Jan 2023 16:50:38 +0700
Subject: [PATCH v19 6/9] Shared memory cleanups

---
 src/include/lib/radixtree.h | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

diff --git a/src/include/lib/radixtree.h b/src/include/lib/radixtree.h
index ba326562d5..7c7b126b98 100644
--- a/src/include/lib/radixtree.h
+++ b/src/include/lib/radixtree.h
@@ -1378,8 +1378,6 @@ RT_ATTACH(dsa_area *dsa, RT_HANDLE handle)
 	tree->ctl = (RT_RADIX_TREE_CONTROL *) dsa_get_address(dsa, control);
 	Assert(tree->ctl->magic == RT_RADIX_TREE_MAGIC);
 
-	/* XXX: do we need to set a callback on exit to detach dsa? */
-
 	return tree;
 }
 
@@ -1412,8 +1410,7 @@ RT_FREE(RT_RADIX_TREE *tree)
 	 * other backends access the memory formerly occupied by this radix tree.
 	 */
 	tree->ctl->magic = 0;
-	dsa_free(tree->dsa, tree->ctl->handle); // XXX
-	//dsa_detach(tree->dsa);
+	dsa_free(tree->dsa, tree->ctl->handle);
 #else
 	pfree(tree->ctl);
 
@@ -1452,8 +1449,6 @@ RT_SET(RT_RADIX_TREE *tree, uint64 key, uint64 value)
 	if (key > tree->ctl->max_val)
 		RT_EXTEND(tree, key);
 
-	//Assert(tree->ctl->root);
-
 	nodep = tree->ctl->root;
 	parent = RT_PTR_GET_LOCAL(tree, nodep);
 	shift = parent->shift;
-- 
2.39.0

